GEOS: geos::geom::Polygonal Class Reference

GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

List of all members
geos::geom::Polygonal Class Reference

`#include <Polygonal.h>`

Inheritance diagram for geos::geom::Polygonal:

## Additional Inherited Members
Public Types inherited from geos::geom::Geometry
typedef std::vector< const Geometry * > | ConstVect
| A vector of const Geometry pointers.
typedef std::vector< Geometry * > | NonConstVect
| A vector of non-const Geometry pointers.
typedef std::auto_ptr< Geometry > | AutoPtr
| An auto_ptr of Geometry.
Public Member Functions inherited from geos::geom::Geometry
virtual Geometry * | clone () const =0
| Make a deep-copy of this Geometry.
virtual | ~Geometry ()
| Destroy Geometry and all components.
const GeometryFactory * | getFactory () const
| Gets the factory which contains the context in which this geometry was created.
void | setUserData (void *newUserData)
| A simple scheme for applications to add their own custom data to a Geometry. An example use might be to add an object representing a Coordinate Reference System.
void * | getUserData ()
| Gets the user data object for this geometry, if any.
virtual int | getSRID () const
virtual void | setSRID (int newSRID)
const PrecisionModel * | getPrecisionModel () const
| Get the PrecisionModel used to create this Geometry.
virtual const Coordinate * | getCoordinate () const =0
| Returns a vertex of this Geometry, or NULL if this is the empty geometry.
virtual CoordinateSequence * | getCoordinates () const =0
| Returns this Geometry vertices. Caller takes ownership of the returned object.
virtual std::size_t | getNumPoints () const =0
| Returns the count of this Geometrys vertices.
virtual bool | isSimple () const
| Returns false if the Geometry not simple.
virtual std::string | getGeometryType () const =0
| Return a string representation of this Geometry type.
virtual GeometryTypeId | getGeometryTypeId () const =0
| Return an integer representation of this Geometry type.
virtual std::size_t | getNumGeometries () const
virtual const Geometry * | getGeometryN (std::size_t) const
virtual bool | isValid () const
| Tests the validity of this `Geometry`.
virtual bool | isEmpty () const =0
| Returns whether or not the set of points in this Geometry is empty.
virtual bool | isRectangle () const
| Polygon overrides to check for actual rectangle.
virtual Dimension::DimensionType | getDimension () const =0
| Returns the dimension of this Geometry (0=point, 1=line, 2=surface)
virtual int | getCoordinateDimension () const =0
| Returns the coordinate dimension of this Geometry (2=XY, 3=XYZ, 4=XYZM in future).
virtual Geometry * | getBoundary () const =0
| Returns the boundary, or an empty geometry of appropriate dimension if this `Geometry` is empty.
virtual int | getBoundaryDimension () const =0
| Returns the dimension of this Geometrys inherent boundary.
virtual Geometry * | getEnvelope () const
| Returns this Geometrys bounding box.
virtual const Envelope * | getEnvelopeInternal () const
| Returns the minimum and maximum x and y values in this Geometry, or a null Envelope if this Geometry is empty.
virtual bool | disjoint (const Geometry *other) const
virtual bool | touches (const Geometry *other) const
| Returns true if the DE-9IM intersection matrix for the two Geometrys is FT*******, F**T***** or F***T****.
virtual bool | intersects (const Geometry *g) const
| Returns true if disjoint returns false.
virtual bool | crosses (const Geometry *g) const
virtual bool | within (const Geometry *g) const
| Returns true if the DE-9IM intersection matrix for the two Geometrys is T*F**F***.
virtual bool | contains (const Geometry *g) const
| Returns true if other.within(this) returns true.
virtual bool | overlaps (const Geometry *g) const
| Returns true if the DE-9IM intersection matrix for the two Geometrys is T*T***T** (for two points or two surfaces) 1*T***T** (for two curves).
virtual bool | relate (const Geometry *g, const std::string &intersectionPattern) const
| Returns true if the elements in the DE-9IM intersection matrix for the two Geometrys match the elements in intersectionPattern.
bool | relate (const Geometry &g, const std::string &intersectionPattern) const
virtual IntersectionMatrix * | relate (const Geometry *g) const
| Returns the DE-9IM intersection matrix for the two Geometrys.
IntersectionMatrix * | relate (const Geometry &g) const
virtual bool | equals (const Geometry *g) const
| Returns true if the DE-9IM intersection matrix for the two Geometrys is T*F**FFF*.
bool | covers (const Geometry *g) const
| Returns `true` if this geometry covers the specified geometry.
bool | coveredBy (const Geometry *g) const
| Tests whether this geometry is covered by the specified geometry.
virtual std::string | toString () const
| Returns the Well-known Text representation of this Geometry.
virtual std::string | toText () const
virtual Geometry * | buffer (double distance) const
| Returns a buffer region around this Geometry having the given width.
virtual Geometry * | buffer (double distance, int quadrantSegments) const
| Returns a buffer region around this Geometry having the given width and with a specified number of segments used to approximate curves.
virtual Geometry * | buffer (double distance, int quadrantSegments, int endCapStyle) const
| Computes a buffer area around this geometry having the given width and with a specified accuracy of approximation for circular arcs, and using a specified end cap style.
virtual Geometry * | convexHull () const
| Returns the smallest convex Polygon that contains all the points in the Geometry.
virtual Geometry * | intersection (const Geometry *other) const
| Returns a Geometry representing the points shared by this Geometry and other.
Geometry * | Union (const Geometry *other) const
| Returns a Geometry representing all the points in this Geometry and other.
AutoPtr | Union () const
virtual Geometry * | difference (const Geometry *other) const
| Returns a Geometry representing the points making up this Geometry that do not make up other.
virtual Geometry * | symDifference (const Geometry *other) const
| Returns a set combining the points in this Geometry not in other, and the points in other not in this Geometry.
virtual bool | equalsExact (const Geometry *other, double tolerance=0) const =0
| Returns true if the two Geometrys are exactly equal, up to a specified tolerance.
virtual void | apply_rw (const CoordinateFilter *filter)=0
virtual void | apply_ro (CoordinateFilter *filter) const =0
virtual void | apply_rw (GeometryFilter *filter)
virtual void | apply_ro (GeometryFilter *filter) const
virtual void | apply_rw (GeometryComponentFilter *filter)
virtual void | apply_ro (GeometryComponentFilter *filter) const
virtual void | apply_rw (CoordinateSequenceFilter &filter)=0
virtual void | apply_ro (CoordinateSequenceFilter &filter) const =0
template<class T >
void | applyComponentFilter (T &f) const
| Apply a fiter to each component of this geometry. The filter is expected to provide a .filter(const Geometry*) method.
virtual void | normalize ()=0
| Converts this Geometry to normal form (or canonical form).
virtual int | compareTo (const Geometry *geom) const
virtual double | distance (const Geometry *g) const
| Returns the minimum distance between this Geometry and the Geometry g.
virtual double | getArea () const
| Returns the area of this Geometry.
virtual double | getLength () const
| Returns the length of this Geometry.
virtual bool | isWithinDistance (const Geometry *geom, double cDistance) const
| Tests whether the distance from this Geometry to another is less than or equal to a specified value.
virtual Point * | getCentroid () const
| Computes the centroid of this `Geometry`.
virtual bool | getCentroid (Coordinate &ret) const
| Computes the centroid of this Geometry as a Coordinate.
virtual Point * | getInteriorPoint () const
| Computes an interior point of this `Geometry`.
virtual void | geometryChanged ()
void | geometryChangedAction ()
| Notifies this Geometry that its Coordinates have been changed by an external party.
Protected Member Functions inherited from geos::geom::Geometry
virtual bool | isEquivalentClass (const Geometry *other) const
| Returns whether the two Geometrys are equal, from the point of view of the equalsExact method.
virtual Envelope::AutoPtr | computeEnvelopeInternal () const =0
virtual int | compareToSameClass (const Geometry *geom) const =0
int | compare (std::vector< Coordinate > a, std::vector< Coordinate > b) const
int | compare (std::vector< Geometry * > a, std::vector< Geometry * > b) const
bool | equal (const Coordinate &a, const Coordinate &b, double tolerance) const
| Geometry (const Geometry &geom)
| Polygon overrides to check for actual rectangle.
| Geometry (const GeometryFactory *factory)
| Construct a geometry with the given GeometryFactory.
Static Protected Member Functions inherited from geos::geom::Geometry
static bool | hasNonEmptyElements (const std::vector< Geometry * > *geometries)
| Returns true if the array contains any non-empty Geometrys.
static bool | hasNullElements (const CoordinateSequence *list)
| Returns true if the CoordinateSequence contains any null elements.
static bool | hasNullElements (const std::vector< Geometry * > *lrs)
| Returns true if the vector contains any null elements.
static void | checkNotGeometryCollection (const Geometry *g)
Protected Attributes inherited from geos::geom::Geometry
std::auto_ptr< Envelope > | envelope
| The bounding box of this Geometry.
int | SRID

## Detailed Description

Identifies Geometry subclasses which are 2-dimensional and with components which are Polygons.

The documentation for this class was generated from the following file:

- Polygonal.h